Get a list of all Individual Enrollments for a Dependent
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"cobra_enrollment": {},
"created": 1557512389,
"effective_end_date": "2019-10-01",
"effective_start_date": "2018-10-01",
"enroll_data": {
"premium": {
"amount": 50,
"unit": "Month"
}
},
"group_enrollment_id": "7499ea07-76c9-40f2-992b-952259e98384",
"id": "6670f290-4236-4690-bece-a110f9ad924b",
"individual_enrollment_configuration": {},
"individual_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"individual_type": "dependent",
"line_of_coverage": "medical",
"modified": 1564440756,
"plan_id": "b988cd26-121a-4dd6-b0be-09399f6ecc0a",
"status": "active",
"version": "27bbf929-78ca-4339-8bb3-39b75f92c4a4"
}
]
}Enrollments
Get Individual Enrollments by Dependent
Returns a list of all individual enrollments for a given dependent.
GET
/
api
/
v1
/
dependents
/
{dependent_id}
/
individual_enrollments
Get a list of all Individual Enrollments for a Dependent
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}/individual_enrollments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"cobra_enrollment": {},
"created": 1557512389,
"effective_end_date": "2019-10-01",
"effective_start_date": "2018-10-01",
"enroll_data": {
"premium": {
"amount": 50,
"unit": "Month"
}
},
"group_enrollment_id": "7499ea07-76c9-40f2-992b-952259e98384",
"id": "6670f290-4236-4690-bece-a110f9ad924b",
"individual_enrollment_configuration": {},
"individual_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"individual_type": "dependent",
"line_of_coverage": "medical",
"modified": 1564440756,
"plan_id": "b988cd26-121a-4dd6-b0be-09399f6ecc0a",
"status": "active",
"version": "27bbf929-78ca-4339-8bb3-39b75f92c4a4"
}
]
}Authorizations
Path Parameters
Query Parameters
Was this page helpful?
